#include <stdio.h>
#include <stdlib.h>
#include <time.h>



int main(void){
	srand(time(NULL));
	int i;
	int y = 0;
	int tab [10];
	int max = 0;
	int v;
	int j;
	int vrai;
	while (y<10) {
		  tab[y] = rand()%101-50;
			if (tab[y] > max) {
				max = tab[y];
			}
			  y=y+1;
	}
	for (i=0; i<10; i++){
		  printf("+-----");
	}
	printf("+");
	printf("\n");
	for (i=0; i<10; i++){
		  printf("|%4d ",tab[i]);
	}
	printf("|");
	printf("\n");
	for (i=0; i<10; i++){                                                                                     
		    printf("+-----");
	}
	printf("+");
	printf("\n");
	printf("Le Maximum est : %d\n",max);
	printf("\n");
	printf("Entrez une valeur : ");
	scanf("%d",&v);
	for (j=0;j<=10;j++){
	 if (tab[j]== v){
	 printf("l'indice minimal de la valeur est : %d\n",j);
	 vrai = "";
	 break;
	 }
	 if (j==10){
		 vrai = -1;
		 break;
	 }
		
	}

	printf("%d\n",vrai);


	return EXIT_SUCCESS;



}


